Subject: Re: bug#51466: bug#53355: guix shell --check: confusing error message

From: Ludovic Courtès <[email-masked]>
Date: Tue, 28 Jun 2022 09:45:14 +0200

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op ma 27-06-2022 om 12:17 [+0200]:
>> I agree that Dash should be fixed, but in the meantime, we still want
>> our stuff to work with the broken Dash (it’s the default on
>> Debian/Ubuntu, isn’t it?).
>
> If Dash is fixed, then it's non-broken

Even if a fix goes upstream today, people will still be using a distro
with the broken Dash for years, literally.  That’s why I think we have
to cope with it.

Ludo’.